Subject: bug#6299: In read-file-name: (args-out-of-range "c:" 0 3)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 May 2010 19:12:25 +0300

> From: Lennart Borgman <[email-masked]>
> Date: Sat, 29 May 2010 03:35:00 +0200
> Cc: 
> 
> I get this backtrace below in certain cases when doing C-x C-f and entering
> 
>   c:/ema TAB
> 
> in the minibuffer. I have no good idea of how to debug it.
> 
> It happens only after I have loaded a multi major mode file. However
> it happens not after just loading mumamo.el.
> 
> If I enter
> 
>   c:/emacs/something TAB
> 
> it does not happen either, i.e. it happens only before the second "/".
> 
> Tramp is loaded after the first TAB above but that is loaded in both
> the cases where I get an error and those where I do not get it. (I
> have no idea why tramp is loaded though.)
> 
> I do not know if I can track this down to something more simple so I
> ask for suggestions and qualified guesses instead. Anyone has some?
> 
> This is with a checkout from 2010-05-22, my patched version.
> 
> 
> Debugger entered--Lisp error: (args-out-of-range "c:" 0 3)
>   signal(args-out-of-range ("c:" 0 3))
>   completion--some(#[(style) " 	\236A@\n \f

I would suggest to step through completion-emacs22-try-completion in
Edebug.